Public Class Decl

#Region " shared "
    Public Shared tableNamesCol As New ArrayList

    Shared Sub New()
        tableNamesCol.Add(tabNames.MACHINES.ToString)
        tableNamesCol.Add(tabNames.BASICSYSTEMS.ToString)
        tableNamesCol.Add(tabNames.MODULES.ToString)
    End Sub
#End Region

#Region " structures "

    Public Structure DefDataStruct
        Public description As String
        Public shortDescription As String

        Public Sub New(ByVal desc As String, ByVal shDesc As String)
            Me.description = desc
            Me.shortDescription = shDesc
        End Sub
    End Structure

#End Region

#Region " enums "
    Public Enum tabNames
        MACHINES
        BASICSYSTEMS
        MODULES
        FUNCTIONUNITS
        FUNCTIONS
        EQUIPMENTS
    End Enum

    Public Enum allTableCols
        id
        parentId
    End Enum

    Public Enum machineCols
        isReadonly
        shortDescription
        description
        draftDescription 'Konzeptname
        customerName
        customerNumber
        projectNumber
        responsibleSupplier
        responsibleCustomer
        remarks 'Info
        nominalPower 'Nennleistung
        nominalCurrent 'Nennstrom
        nominalVoltage 'Netzversorgung
        airConsumption 'Luftverbrauch
        modelYear 'Baujahr
        plcStandardProgramVersion 'SPS-Version
        nominalOperatingPressure 'Nenndruck
    End Enum

    Public Enum basicSystemCols
        isReadonly
        shortDescription
        description
        projectNumber
        conceivedCycletime
        remarks
    End Enum

    Public Enum moduleCols
        isReadonly
        shortDescription
        description
        projectNumber
        hint
        remarks
    End Enum

    Public Enum functionUnitCols
        isReadonly
        description
        functionUnitNr
        remarks
    End Enum

    Public Enum functionCols
        isReadonly
        functionType
        description
        functionUnitDescription
        secondDescription
        functionNr
        drive
        remarks
    End Enum

    Public Enum equipmentCols
        isReadonly
        description
        mmi
        remarks
        col1
        col2
        col3
        col4
        col5
        col6
        col7
        col8
    End Enum
#End Region
End Class

