Public Class DataTableExt
    Inherits DataTable

#Region " constructor "
    Public Sub New()
        Me.Init()
    End Sub
#End Region

#Region " init "
    Private Sub Init()
        Dim tmpCol As DataColumn

        '----- BASICSYSTEMS table ------
        Me.TableName = Decl.tabNames.BASICSYSTEMS.ToString

        'RO
        tmpCol = New DataColumn
        tmpCol.DataType = GetType(Boolean)
        tmpCol.ColumnName = Decl.basicSystemCols.isReadonly.ToString
        tmpCol.Caption = "RO"
        Me.Columns.Add(tmpCol)

        'GS-Kurzbezeichnung
        tmpCol = New DataColumn
        tmpCol.DataType = GetType(String)
        tmpCol.ColumnName = Decl.basicSystemCols.shortDescription.ToString
        tmpCol.Caption = "BS-shortDescr."
        Me.Columns.Add(tmpCol)

        'GS-Bezeichnung
        tmpCol = New DataColumn
        tmpCol.DataType = GetType(String)
        tmpCol.ColumnName = Decl.basicSystemCols.description.ToString
        tmpCol.Caption = "GS-descr."
        Me.Columns.Add(tmpCol)

        'Projekt-Nr
        tmpCol = New DataColumn
        tmpCol.DataType = GetType(String)
        tmpCol.ColumnName = Decl.basicSystemCols.projectNumber.ToString
        tmpCol.Caption = "Projekt-Nr"
        Me.Columns.Add(tmpCol)

        'Taktzeit
        tmpCol = New DataColumn
        tmpCol.DataType = GetType(String)
        tmpCol.ColumnName = Decl.basicSystemCols.conceivedCycletime.ToString
        tmpCol.Caption = "Taktzeit"
        Me.Columns.Add(tmpCol)

        'Info
        tmpCol = New DataColumn
        tmpCol.DataType = GetType(String)
        tmpCol.ColumnName = Decl.basicSystemCols.remarks.ToString
        tmpCol.Caption = "Info"
        Me.Columns.Add(tmpCol)

        'id-column
        tmpCol = New DataColumn
        tmpCol.DataType = GetType(String)
        tmpCol.ColumnName = Decl.allTableCols.id.ToString
        Me.Columns.Add(tmpCol)

        'parentId-column
        tmpCol = New DataColumn
        tmpCol.DataType = GetType(String)
        tmpCol.ColumnName = Decl.allTableCols.parentId.ToString
        Me.Columns.Add(tmpCol)


    End Sub

#End Region

    Private Sub DataTableExt_RowChanged(ByVal sender As Object, ByVal e As System.Data.DataRowChangeEventArgs) Handles MyBase.RowChanged
        Select Case e.Action
            Case DataRowAction.Add
                'write new id to record
                e.Row.Item(Decl.allTableCols.id.ToString) = Now.Millisecond
                'e.Row.Item(Decl.basicSystemCols.description.ToString) = "hugo " & Now.Millisecond
        End Select

    End Sub
End Class
